<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class StageAcademyCourseQuestion extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'course_id',
        'question_ar',
        'question_en',
        'points',
    ];

    public function course()
    {
        return $this->belongsTo(StageAcademyCourse::class, 'course_id');
    }

    public function options()
    {
        return $this->hasMany(StageAcademyCourseQuestionOption::class, 'question_id');
    }
}
